Published on

08-Jan-2017View

212Download

0

Embed Size (px)

Transcript

Finding Disjoint Routes in Telecommunications Networks with Two TechnologiesAuthor(s): Anne de Jongh, Michel Gendreau and Martine LabbeSource: Operations Research, Vol. 47, No. 1 (Jan. - Feb., 1999), pp. 81-92Published by: INFORMSStable URL: http://www.jstor.org/stable/222895 .Accessed: 09/05/2014 12:10

Your use of the JSTOR archive indicates your acceptance of the Terms & Conditions of Use, available at .http://www.jstor.org/page/info/about/policies/terms.jsp

.JSTOR is a not-for-profit service that helps scholars, researchers, and students discover, use, and build upon a wide range ofcontent in a trusted digital archive. We use information technology and tools to increase productivity and facilitate new formsof scholarship. For more information about JSTOR, please contact support@jstor.org.

.

INFORMS is collaborating with JSTOR to digitize, preserve and extend access to Operations Research.

http://www.jstor.org

This content downloaded from 194.29.185.252 on Fri, 9 May 2014 12:10:31 PMAll use subject to JSTOR Terms and Conditions

http://www.jstor.org/action/showPublisher?publisherCode=informshttp://www.jstor.org/stable/222895?origin=JSTOR-pdfhttp://www.jstor.org/page/info/about/policies/terms.jsphttp://www.jstor.org/page/info/about/policies/terms.jsp

FINDING DISJOINT ROUTES IN TELECOMMUNICATIONS NETWORKS WITH TWO TECHNOLOGIES

ANNE DE JONGH Universite Libre de Bruxelles, Bruxelles, Belgium

MICHEL GENDREAU Universite de Montreal, Montreal, Quebec, Canada

MARTINE LABBE Universite Libre de Bruxelles, Bruxelles, Belgium

(Received July 1995; revisions received June 1996, October 1997; accepted October 1997)

We consider networks in which a cost is associated with each arc or edge and a transition cost is associated with each node. This last cost is related to the presence of two technologies on the network and is incurred only when a flow enters and leaves the corresponding node on arcs of different types. The problem we consider consists in finding two node disjoint paths with minimum total cost. We show that it is strongly NP-complete. Then we propose two heuristics, study their worst case behavior, provide a lower bounding procedure based on Lagrangean relaxation, and finally embed those elements in a branch and bound procedure.

Due to the rapid development of new equipments and communication protocols, telecommunications net-

works are constantly evolving. It is thus common to en- counter networks where two technologies coexist for the same type of traffic. For instance, in Europe, the transmis- sion network for voice communications uses both the Syn- chronous Digital Hierarchy (SDH) and the Plesiochronous Digital Hierarchy (PDH) technologies. In such networks, traffic flowing from an origin to a destination will often need to be routed over links of both technologies. This traffic will in most cases incur not only link transmission costs (which are generally different for the two technolo- gies) but also transition costs, whenever it passes from a link of one technology to a link of the alternate technol- ogy. One of the most important concerns of telecommuni- cation operators is to ensure the reliability of their network. This is often achieved by providing more than a single path for routing the traffic between any given origin- destination pair. Indeed, if two arc disjoint paths are pro- vided and the traffic is split evenly between them, no more than 50% of the demand will be lost, should a single link fail. Moreover, if these paths are node disjoint, then the traffic will be similarly protected from single node failures.

The purpose of this paper is to analyze the so-called bifurcated routing problem of finding a minimum cost pair of disjoint paths between an origin and a destination in a network. Four variants of the problem can be considered: the two paths must be arc or node disjoint and transition costs are incurred or not. It should be noted that capacity considerations are not taken into account since in most fiberoptic networks, link capacities are large enough so

that they can be neglected. Considering that most telecom- munication networks are made up of two-way links, one may want to tackle the problem separately for directed and for undirected networks. In fact, this is unnecessary, and we may restrict our attention to directed networks by re- placing each undirected link with a pair of arcs in opposite directions; only one of these two arcs will ever belong to an optimal pair of arc or node disjoint paths, if arc costs are positive.

Bifurcated routing problems have attracted little atten- tion. In the absence of transition costs, finding a pair of node or arc disjoint paths from a given origin to a given destination reduces easily to a minimum cost flow problem in an appropriate network. Obviously, when such pairs of paths are needed from a given origin to many destinations, the above method can be repeated for each destination separately. However, Suurballe and Tarjan (1984) propose a faster procedure, which determines all those path pairs in one single Dijkstra-like calculation. Li et al. (1990, 1992) study difficult bifurcated routing problems. In the first paper, the cost of the longer path of the pair is mini- mized. In the second one, each path corresponds to the routing of a different commodity so that each arc is en- dowed with a cost depending on the path to which it be- longs. Finally, Perl and Shiloach (1978) study the complexity of finding two disjoint paths between two dif- ferent sources and two different sinks.

The paper is organized as follows: in ?1, we present the four variants mentioned above and ??2 to 5 are devoted to the single (strongly) NP-complete problem of finding two

Subject classifications: Communications: telecommunications networks. Network/graphs, flow algorithms: disjoint paths. Programming, integer: algorithm for bifurcated routing with transition costs.

Area of review: TELECOMMUNICATIONS.

Operations Research 0030-364X/99/4701-0081 $05.00 Vol. 47, No. 1, January-February 1999 81 0 3 1999 INFORMS

This content downloaded from 194.29.185.252 on Fri, 9 May 2014 12:10:31 PMAll use subject to JSTOR Terms and Conditions

http://www.jstor.org/page/info/about/policies/terms.jsp

82 / DE JONGH, GENDREAU, AND LABBE

node disjoint paths with transition costs. We propose heu- ristics and study their worst case behavior in ?2, ?3 is devoted to a Lagrangean relaxation, an enumerative algo- rithm is described in ?4 and computational experiments are presented in ?5. Conclusions and suggestions for fur- ther research are stated in ?6.

1. FOUR BIFURCATED ROUTING PROBLEMS

Let G = (V, A) be a directed graph with node set V of cardinality 1< = n. The arc set A is partitioned into two disjoint subsets A1 and A2 containing the arcs of the first and the second technology respectively. To each arc (i, j) of A is associated a nonnegative cost cij, which represents the corresponding link transmission cost (this cost depends generally on the technology of the link). To each node i E V are associated two nonnegative transition costs f+ and if. The first cost f7+ is incurred when a selected path enters node i on an arc (j, i) E A1 and leaves i on an arc (i, k) E A2. Similarly, fi is incurred when arcs (j, i) and (i, k) belong to a selected path with (j, i) E A2 and (i, k) E A1. These costs J+ and fi correspond thus to the opera- tion of some equipment required to transfer the traffic between links of different technologies.

Let node 1 represent the origin and node n the destina- tion of some traffic demand. The bifurcated routing problem is defined as finding two disjoint paths from node 1 to node n and with minimum total cost. Four bifurcated rout- ing problems can be distinguished according to the fact that paths must be arc or node disjoint and that transition costs are taken into account at intermediate nodes of the paths or not. Three of these problems are easily solvable and rather well known. We present them briefly here for the sake of completeness.

First, if the two paths must be arc disjoint and if all transition costs are equal to zero, the problem is obviously equivalent to finding a minimum cost flow of value 2 from node 1 to node n in G where each arc is endowed with a unit capacity. Suurballe and Tarjan (1984) propose an al-

gorithm for that problem that is especially useful if pairs of paths must be found from node 1 to many different destinations.

In the second case, the two paths must be arc disjoint and nonnegative transition costs are taken into consider- ation. Hence, the cost of a pair of paths is given by the sum of the costs of their arcs plus the transition costs at the nodes of those paths where the incident arcs belong to different setsA1 andA2. Again, this problem reduces to a minimum cost flow of value 2 from node 1 to node n but in a modified network defined as follows. Each node i of G is split into two nodes il and i2 as shown in Figure 1. All arcs (i, j) E A1 are replaced by arcs (i1, jI) and all arcs (i, j) E A2 are replaced by arcs (i2, 12). The costs of all these arcs keep the same value as the original ones. Finally, for all i E V, we create two new arcs (i1, i2) and (i2, il) with respective costs ]+ and f. All arcs have unit capacity.

In the third case, a pair of node disjoint paths is sought for and transition costs are zero. The solution of this prob- lem is a minimum cost flow of value 2 from node 1 to node n in a network with unit capacity arcs where each node i is duplicated as shown in Figure 2. All arcs that enter (leave) node i are replaced by arcs that enter node i1 (leave node i2). A single arc (i1, i2) with zero cost is added between every pair of nodes.

The fourth and last problem, in which the two paths must be node disjoint and transition costs are not all zero, merits special attention not only because it is relevant in the context of emerging technologies but also because it is more challenging from a resolution point of view, as shown in the following theorem.

Theorem 1. The problem (2-NDPP) of finding two node disjoint paths of minimum cost in a network containing arcs of two technologies and transition costs is strongly NP-Hard.

Proof. The problem (2 - NNDPP) can be formulated as the following decision problem:

+

f.

f1

initial network transformed network

Arcs belonging to A1 - - - * Arcs belonging to A2

- -> transition costs

Figure 1. Two arc disjoint paths with transition costs.

This content downloaded from 194.29.185.252 on Fri, 9 May 2014 12:10:31 PMAll use subject to JSTOR Terms and Conditions

http://www.jstor.org/page/info/about/policies/terms.jsp

DE JONGH, GENDREAU, AND LABBE / 83

(DP) Instance: G = (V, A) a directed graph A =A1 UA2 such thatA1 nfA2 = 4 a nonnegative cost cij for each vi, vj E A, two nonnegative transition costs fi+ and fi on each node vi E V, a source node s and a sink node t, a nonnegative integer K,

Question: Do there exist two node disjoint paths P1(s, t) and P2(s, t) with total cost not larger than K?

Clearly, (DP) belongs to the class NP. To verify that it is strongly NP-complete, we show that the 3-Satisfiability Problem (3 - SAT) reduces to (DP). Let 3-SAT be de- fined as:

(3-SAT) Instance: n variables x1, . .. , x, m clauses C1,..., Cm, each clause Cj being a set of three literals xi or i, a truth assignment T: {xi} -- {true, false}, a clause Cj is said to be satisfied if it contains one literal xi such that T(xi) = true or one literal xi such that T(Xi)= false.

Question: Does there exist one truth assign- ment that simultaneously satisfies the m clauses?

Given an instance of (3 - SAT), let us build the follow- ing directed network. Let pi be the number of occurrences of the variable xi in the m clauses. For each variable xi, we build a subgraph called a lobe as shown in Figure 3. All the arcs of these lobes are of technology 1 and of cost zero, and the lobes are connected with each other in series (see Figure 4). For each clause Cj, we add two nodes yj and zj. The arcs (s,y1), (zj,yj11),j = 1, ... , m - 1 and (Zm, t) are all of technology 2. To connect the clauses to the variables, we add arcs of technology 2 as follows:

* Add (yj, u') and (ut, zj) if the kth occurrence of the variable xi is xi and belongs to clause Cj.

* Add (yj, iU) and (iU, zj) if the kth occurrence of the variable xi is xi and belongs to clause Cj.

For example, the network corresponding to the instance

(Xl VX2VX3)A(O2VX3Vx4)A(C1VX2VX4)A(X2Vx3VX4)

is depicted in Figure 5. To each arc we associate a cost equal to zero, we set all transition costs equal to 1 and K = 0. This network, containing arcs of technologies 1 and 2, is constructed in polynomial time.

It suffices now to show that there exists a truth assign- ment T that satisfies the m clauses simultaneously if and only if one can find two node disjoint paths from the source to the sink of this network, of total cost zero. By construction, the first arcs of both solution paths have to be of different technology (otherwise they have a node or an arc in common). Thus, the total cost zero will be ob- tained if one of the paths uses only arcs of technology 1 and the other one uses only arcs of technology 2.

Suppose first that a truth assignment T exists. Then the path that passes through the upper part of the lobe i, i = 1, . .. n if T(xi) = false and through its lower part if T(Xi) = true is chosen as the first path. Note that it uses only arcs of technology 1. For the second path, we take

Figure 3. Lobe associated to the variable xi.

initial network transformed network

- arcs belonging to A - - - * arcs belonging to A2

- -~ arc of cost 0

Figure 2. Two node disjoint paths without transition costs.

http://www.jstor.org/page/info/about/policies/terms.jsp

84 / DE JONGH, GENDREAU, AND LABBE

')S ''I(S

Figure 4. Clauses connected to each other.

(s, Yi) and (Zm, t) as first and last arcs. For each clause C1, there exists one literal xi (or xi) such that T(xi) = true (or T(xi) = false). This implies that one can find a subpath containing the arcs (yj, u') and (uk, zj) or (yj1 ik) and (Uk, zj) and that is node disjoint from the first path. There exists at least m such subpaths, and linking them one after the other gives a second path, made up only arcs of tech- nology 2.

Conversely, assume there exist two node disjoint paths from s to t, one on technology 1 and the other on technol- ogy 2. One of them, say P1(s, t), must necessarily pass through the lobes. If it passes through the upper part of lobe i, set T(xi) = false, else set T(xi) = true. Since the second path, P2(s, t), is node disjoint from the first one, it must pass sequentially through arcs (s, Y1), (zj, Yj+ l),] = 1,..., m and (Zm, t) for j. Moreover, for each j, there exists one k such that P2(s, t) contains the arcs (yj, u') and (Uk, zj) or (yj1 i,) and (yj...